/*
 * Copyright (c) 2010-2015 Norbert Bartels
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package com.restfb.types;

import com.restfb.AbstractJsonMapperTests;
import static org.junit.Assert.assertEquals;
import org.junit.Test;

public class PageTest extends AbstractJsonMapperTests {
    
    @Test
    public void checkV1_0() {
        Page examplePage =
        createJsonMapper().toJavaObject(jsonFromClasspath("v1_0/page"), Page.class);
        assertEquals(examplePage.getWebsite(), "http://www.coca-cola.com");
        assertEquals(1,examplePage.getCategoryList().size());
        Category cat = examplePage.getCategoryList().get(0);
        assertEquals("Company",cat.getName());
        assertEquals("2200",cat.getId());
    }
    
    @Test
    public void checkV2_0() {
        Page examplePage =
        createJsonMapper().toJavaObject(jsonFromClasspath("v2_0/page"), Page.class);
        assertEquals(examplePage.getWebsite(), "http://www.coca-cola.com");
        assertEquals(1,examplePage.getCategoryList().size());
        Category cat = examplePage.getCategoryList().get(0);
        assertEquals("Company",cat.getName());
        assertEquals("2200",cat.getId());
    }
    
    @Test
    public void checkV2_1() {
        Page examplePage =
        createJsonMapper().toJavaObject(jsonFromClasspath("v2_1/page"), Page.class);
        assertEquals(examplePage.getWebsite(), "http://www.coca-cola.com");
        assertEquals(1,examplePage.getCategoryList().size());
        Category cat = examplePage.getCategoryList().get(0);
        assertEquals("Company",cat.getName());
        assertEquals("2200",cat.getId());
    }
    
}
